-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 60 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=60;

-- Change "database_name" to "database_dir" for Hue if database type is sqlite3.

select @hueServiceId := SERVICE_ID,  @latestRevisionId := CONFIG_REVISION_ID
from SERVICES where SERVICE_TYPE = 'HUE';

select @dbTypeCount := count(*) from CONFIGS 
where SERVICE_ID = @hueServiceId and 
      REVISION_ID = @latestRevisionId and
      ATTR = 'database_type';

select @configId := CONFIG_ID from CONFIGS
where SERVICE_ID = @hueServiceId and
      REVISION_ID = @latestRevisionId and
      ATTR = 'database_name';
      
-- Since sqlite3 is the default database type, we won't have an entry for it.

update CONFIGS set ATTR='database_dir'
where CONFIG_ID = @configId and
      @dbTypeCount = 0;