// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.

define(["cloudera/common/UrlParams","underscore"],function(e,t){describe("UrlParams",function(){var n;beforeEach(function(){e.params={},n=window.location.hash}),afterEach(function(){window.location.hash=n}),it("is a singleton off the window object",function(){expect(window._urlParams).toBeDefined()}),it("stuffs params from hash into params field",function(){spyOn($,"publish"),window.location.hash="a=1&b=2&c=3&d=catpants",waitsFor(function(){return e.params.a==="1"},"The value a should be set to 1",100),runs(function(){expect(e.params.a).toEqual("1"),expect(e.params.b).toEqual("2"),expect(e.params.c).toEqual("3"),expect(e.params.d).toEqual("catpants"),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})}),it("unescapes params when adding them to params field",function(){window.location.hash="thing=%5B%7B%22propertyName%22%3A%22CATEGORY%22%2C%22compareType%22%3A%22EQ%22%2C%22value%22%3A%22catpants%22%7D%5D",waitsFor(function(){return e.params.thing!==undefined},"The UrlParams.params.thing should be set",100),runs(function(){var t=JSON.stringify([{propertyName:"CATEGORY",compareType:"EQ",value:"catpants"}]);expect(e.params.thing).toEqual(t)})}),it("handles the case where the hash is empty",function(){window.location.hash=null,e.onHashChange(),expect(t.size(e.params)).toEqual(0)}),it("allows getting",function(){e.params.cat="pants",expect(e.get("cat")).toEqual("pants")}),it("allows getting with default values",function(){expect(e.params.cat).not.toBeDefined(),expect(e.get("cat")).toEqual(undefined),expect(e.get("cat","pants")).toEqual("pants")}),it("allows getting int values",function(){e.params.cat="3",expect(e.getInt("cat")).toEqual(3)}),it("allows getting ints with default values",function(){expect(e.params.cat).not.toBeDefined(),expect(e.getInt("cat")).toEqual(0),expect(e.getInt("cat",42)).toEqual(42)}),it("allows getting ints with non-string values",function(){e.params.cat="pants",expect(e.getInt("cat")).toEqual(0)}),it("allows params to be set",function(){window.location.hash="cat=pants",spyOn($,"publish"),e.set("dog","hat"),waitsFor(function(){return $.publish.calls.length>0},"$.publish should have been called.",200),runs(function(){expect(window.location.hash).toEqual("#cat=pants&dog=hat"),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})}),it("allows multiple params to be set at once",function(){window.location.hash="cat=pants",spyOn($,"publish"),e.set({dog:"hat",horse:"poo"}),waitsFor(function(){return $.publish.calls.length>0},"$.publish should have been called.",200),runs(function(){expect(window.location.hash).toEqual("#cat=pants&dog=hat&horse=poo"),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})}),it("allows multiple params to be set and deleted at once",function(){window.location.hash="cat=pants&pig=tail",spyOn($,"publish"),e.set({dog:"hat",horse:"poo",pig:undefined}),waitsFor(function(){return $.publish.calls.length>0},"$.publish should have been called.",200),runs(function(){expect(window.location.hash).toEqual("#cat=pants&dog=hat&horse=poo"),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})}),it("allows params to be deleted",function(){window.location.hash="cat=pants",spyOn($,"publish"),e.remove("cat"),waitsFor(function(){return $.publish.calls.length>0},"$.publish should have been called.",200),runs(function(){expect(window.location.hash).toEqual(""),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})}),it("allows multiple params to be deleted at once",function(){window.location.hash="cat=pants&dog=hat",spyOn($,"publish"),e.remove(["cat","dog"]),waitsFor(function(){return $.publish.calls.length>0},"$.publish should have been called.",200),runs(function(){expect(window.location.hash).toEqual(""),expect($.publish).wasCalledWith("urlHashChanged",[e.params])})})})})